# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt6', 'Android/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/syndication': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'

- 'on': ['Linux/Qt6/Shared', 'FreeBSD/Qt6/Shared', 'Windows/Qt6/Shared']
  'require':
    'frameworks/qqc2-desktop-style': '@latest-kf6'

- 'on': ['Linux/Qt6/Static']
  'require':
    'plasma/qqc2-breeze-style': '@latest-kf6'

Options:
  require-passing-tests-on: [ '@all' ]
